Bug 1577358 - RFE: include a link to the ansible engine VDO module documentation in the VDO documentation
Summary: RFE: include a link to the ansible engine VDO module documentation in the VD...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: doc-Storage_Administration_Guide
Version: 7.5
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Marek Suchánek
QA Contact: Zhang Kexin
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-11 19:09 UTC by Louis Imershein
Modified: 2019-03-06 00:55 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
This is a requested enhancement to the documentation to cross reference a feature of ansible.
Clone Of:
Environment:
Last Closed: 2018-08-31 14:35:51 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Louis Imershein 2018-05-11 19:09:36 UTC
Description of problem:

Red Hat customers at Red Hat Summit 2018 requested that we include a link to the VDO ansible module documentation from our page.  I checked and I didn't see any Red Hat specific docs for ansible engine so we might need to inquire where we should be linking, but the request seems reasonable.  Most customers don't want to configure VDO by hand on each machine.

Comment 4 Bryan Gurney 2018-05-16 18:18:37 UTC
The documentation for the Ansible VDO module for upstream Ansible (as of version 2.5) is here:

http://docs.ansible.com/ansible/latest/modules/vdo_module.html

Comment 5 Bryan Gurney 2018-07-11 19:49:40 UTC
Hi Marek,

Can we add the URL for the VDO Ansible module to the RHEL 7 Storage Administration Guide, in Part III, "Data Deduplication and Compression with VDO"?

Comment 6 Marek Suchánek 2018-08-14 14:56:14 UTC
Hi Bryan,

Sorry for the delay. I've added a short section titled "Automating VDO with Ansible" at the end of "Administering VDO":
https://doc-stage.usersys.redhat.com/documentation/en-us/red_hat_enterprise_linux/7/html/storage_administration_guide/vdo-ig-administering-vdo#vdo-ig-ansible

I'll try to find a better place for the reference in the restructured RHEL 8 documentation. Until then, does this work for you?

Comment 7 Marek Suchánek 2018-08-31 14:35:51 UTC
I'm considering the issue resolved; closing this bug as CURRENTRELEASE.

See the published content on the Customer Portal:

https://access.redhat.com/documentation/en-us/red_hat_enterprise_linux/7/html/storage_administration_guide/vdo-ig-administering-vdo#vdo-ig-ansible


Note You need to log in before you can comment on or make changes to this bug.